******************************************* ``PATCH`` Schedule AI Interview Reminders ******************************************* This API schedules up to two reminder notifications for a candidate invited to an AI Interview. Reminders will be sent at the scheduled times to notify the candidate about the pending AI Interview. Request URL ============= .. code-block:: POST /ai-interviews/invite/reminders/schedule .. warning:: Make sure to add your API key in Header of the request using the key ``apiKey``. Body Parameters ================ .. code-block:: JSON { "ai_interview_id": "integer", "response_id": "integer", "remainders": ["string", "string"] } Parameters ============ +-------------------+------------------+----------------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+==========================================================================================================+ | ai_interview_id | *integer* | The ID of the AI Interview for which reminders are being scheduled. | +-------------------+------------------+----------------------------------------------------------------------------------------------------------+ | response_id | *integer* | The candidate's response ID for the AI Interview. | +-------------------+------------------+----------------------------------------------------------------------------------------------------------+ | remainders | *array[string]* | An array of exactly two future date-time strings in the format **YYYY-MM-DD HH:MM** (**in GMT**). | +-------------------+------------------+----------------------------------------------------------------------------------------------------------+ .. note:: - The array must contain **exactly two** reminder time values. - Both times must be in the future, and in the format ``YYYY-MM-DD HH:MM`` (24-hour time in **GMT**). - The reminder time **must fall between the current time and the candidate's invite expiry time**. - If the ``remainders`` key is **not present**, the reminder will be sent immediately. Response ========== - A JSON response confirming that reminder schedules were successfully set. .. code-block:: JSON { "response_id": "integer", "ai_interview_id": "integer", "reminder_status": "string", } .. note:: - ``reminder_status`` indicates if the scheduling was successful (e.g., ``Scheduled``). Examples ========== **Request Payload** .. code-block:: JSON { "ai_interview_id": 211, "response_id": 6738, "remainders": ["2025-07-13 10:00", "2025-07-14 18:30"] } **Success Response** .. code-block:: JSON { "response_id": 6738, "ai_interview_id": 211, "reminder_status": "Scheduled" }